# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate pyo3-ffi

Name:           rust-pyo3-ffi
Version:        0.25.0
Release:        %mkrel 1
Summary:        Python-API bindings for the PyO3 ecosystem

Group:          Development/Rust
BuildArch:      noarch

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pyo3-ffi
Source:         %{crates_source}
# * Downstream-only patch: always allow unsupported versions of Python.
#   We constantly attempt to integrate alpha and beta releases of Python
#   and need to rebuild all dependent packages in Copr, also those that
#   use pyo3-ffi without patching each and every one of them, hence we
#   explicitly allow to skip version check when building RPMs.
Patch2:         Allow-unsupported-Python-versions-in-RPM-builds.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  python3-devel >= 3.7

%global _description %{expand:
Python-API bindings for the PyO3 ecosystem.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-devel >= 3.7

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py310-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py310-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py310" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py310-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py311-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py311-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py311" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py311-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py312-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py312-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py312" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py312-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py313-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py313-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py313" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py313-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py314-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py314-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py314" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py314-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py37-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py37-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py37" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py37-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py38-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py38-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py38" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py38-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py39-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py39-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py39" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py39-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extension-module-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extension-module-devel %{_description}

This package contains library source intended for building other packages which
use the "extension-module" feature of the "%{crate}" crate.

%files       -n %{name}+extension-module-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif


%changelog
* Sat May 31 2025 wally <wally> 0.25.0-1.mga10
+ Revision: 2187652
- new version 0.25.0

* Sun Mar 02 2025 wally <wally> 0.23.5-1.mga10
+ Revision: 2158132
- new version 0.23.5

* Mon Feb 17 2025 wally <wally> 0.23.4-1.mga10
+ Revision: 2149259
- new version 0.23.4
- update RPM group to Development/Rust

* Mon Dec 16 2024 wally <wally> 0.23.3-1.mga10
+ Revision: 2125610
- new version 0.23.3

* Thu Oct 31 2024 wally <wally> 0.22.4-1.mga10
+ Revision: 2111891
- new version 0.22.4

* Wed Aug 07 2024 wally <wally> 0.22.2-1.mga10
+ Revision: 2084088
- new version 0.22.2

* Fri Jan 05 2024 wally <wally> 0.20.2-1.mga10
+ Revision: 2027830
- new version 0.20.2

* Fri Dec 29 2023 wally <wally> 0.20.0-1.mga10
+ Revision: 2024072
- new version 0.20.0
- build as noarch

* Sun Feb 12 2023 wally <wally> 0.18.1-1.mga9
+ Revision: 1940898
- new version 0.18.1
- add abi3-py311 feature

* Sat Feb 04 2023 guillomovitch <guillomovitch> 0.17.3-1.mga9
+ Revision: 1938153
- imported package rust-pyo3-ffi

